LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;
USE ieee.std_logic_unsigned.all;

ENTITY PWM IS
	PORT
	(
		DATA	: IN	STD_LOGIC_VECTOR(6 downto 0);
		COUNT	: IN	STD_LOGIC_VECTOR(6 downto 0);
		Tout	: OUT 	STD_LOGIC);
END PWM;

ARCHITECTURE RTL OF PWM IS
BEGIN
	PROCESS (COUNT)
	BEGIN
		if (COUNT<DATA) then
			Tout <= '0';
		else
			Tout <= '1';
		end if;
	END PROCESS;
	END RTL;

